Update a smart vertical
curl --request PUT \
--url https://api.tamtam.ai/api/v2/smart-verticals/{smartVerticalID} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Hospitality SaaS",
"description": "<string>",
"user_email": "elliot@tamtam.ai"
}
'import requests
url = "https://api.tamtam.ai/api/v2/smart-verticals/{smartVerticalID}"
payload = {
"name": "Hospitality SaaS",
"description": "<string>",
"user_email": "elliot@tamtam.ai"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Hospitality SaaS',
description: '<string>',
user_email: 'elliot@tamtam.ai'
})
};
fetch('https://api.tamtam.ai/api/v2/smart-verticals/{smartVerticalID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Smart Verticals
Update a smart vertical
Update an existing smart vertical by ID.
PUT
/
v2
/
smart-verticals
/
{smartVerticalID}
Update a smart vertical
Authorizations
apikeyAuthbearerAuth
Account API key passed in the Authorization header
Path Parameters
Smart vertical UUID
Body
application/json